curl "https://api.destined.ai/v1/speakers/abc123-def456" \
-H "Authorization: Bearer YOUR_API_KEY"
const speaker = await client.speakers.getSpeakerV1SpeakersSpeakerIdGet({
speakerId: "abc123-def456",
});
{
"id": "abc123-def456",
"gender": "Female",
"region": "Georgia",
"accent": "Southern",
"age_range": "25-34",
"native_language": "English",
"sample_audio_url": "https://voice.s3.amazonaws.com/samples/abc123.wav"
}
{
"detail": "Speaker not found"
}
Speakers
Get Speaker
Get details for a specific speaker
GET
/
v1
/
speakers
/
{speaker_id}
curl "https://api.destined.ai/v1/speakers/abc123-def456" \
-H "Authorization: Bearer YOUR_API_KEY"
const speaker = await client.speakers.getSpeakerV1SpeakersSpeakerIdGet({
speakerId: "abc123-def456",
});
{
"id": "abc123-def456",
"gender": "Female",
"region": "Georgia",
"accent": "Southern",
"age_range": "25-34",
"native_language": "English",
"sample_audio_url": "https://voice.s3.amazonaws.com/samples/abc123.wav"
}
{
"detail": "Speaker not found"
}
Path Parameters
string
required
The unique speaker ID
Response
string
required
Unique speaker identifier
string
required
Speaker gender
string
required
Geographic region
string
Accent type
string
Age bracket
string
Native language
string
URL to sample audio
curl "https://api.destined.ai/v1/speakers/abc123-def456" \
-H "Authorization: Bearer YOUR_API_KEY"
const speaker = await client.speakers.getSpeakerV1SpeakersSpeakerIdGet({
speakerId: "abc123-def456",
});
{
"id": "abc123-def456",
"gender": "Female",
"region": "Georgia",
"accent": "Southern",
"age_range": "25-34",
"native_language": "English",
"sample_audio_url": "https://voice.s3.amazonaws.com/samples/abc123.wav"
}
{
"detail": "Speaker not found"
}